summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-install-pkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-11-30 17:52:56 +0000
committerKarl Berry <karl@freefriends.org>2008-11-30 17:52:56 +0000
commit94bfb1ff12be3179da3a77ef29554ec39e517cc0 (patch)
treecb9240f268b1050326be46733b65b2ce8aeff4b1 /Master/tlpkg/bin/tl-update-install-pkg
parente6c3fbb7d0c4b7c6ddc50f5d6a3d06f4d99e2dd5 (diff)
(install_files): forgot about install-tl/
directory level in zip file. git-svn-id: svn://tug.org/texlive/trunk@11482 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-install-pkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-install-pkg21
1 files changed, 7 insertions, 14 deletions
diff --git a/Master/tlpkg/bin/tl-update-install-pkg b/Master/tlpkg/bin/tl-update-install-pkg
index 40c02b5bc22..2887999a231 100755
--- a/Master/tlpkg/bin/tl-update-install-pkg
+++ b/Master/tlpkg/bin/tl-update-install-pkg
@@ -18,7 +18,7 @@ BEGIN {
} else {
$::installerdir='../..';
}
- chdir $installerdir or die "can't chdir \"$installerdir\".\n";
+ chdir($installerdir) || die "$0: chdir($installerdir) failed: $!";
$installerdir=`pwd`;
chomp ($installerdir);
unshift (@INC, "$::installerdir/tlpkg");
@@ -212,27 +212,19 @@ sub install_files
# but unzip doesn't support recursively unpacking a directory,
# and it's too painful to specify all the (many dozens of) files.
# So unpack directly in the real dir. Scary.
+ # Since we're doing this in the trial directory created by tl-update-tlnet,
+ # there are no existing files to save.
xchdir ($outputdir);
- # save what we've got now.
- my $savedir = "/tmp/tluip.$$.save";
- xsystem ("rm -rf $savedir");
- mkdir ($savedir);
- xsystem ("mv install-tl install-tl.bat* tlpkg/TeXLive tlpkg/installer $savedir/");
-
# unpack in a temp directory.
- my $junkdir = "/tmp/tluip.$$.temp";
- xsystem ("rm -rf $junkdir");
+ my $junkdir = "junkdir";
mkdir ($junkdir);
xsystem ("cd $junkdir && unzip -q $outputdir/install-tl.zip");
# move what we want (corresponds to the mv into savedir) and erase the rest.
- xsystem ("mv $junkdir/install-tl* .");
- xsystem ("mv $junkdir/tlpkg/* tlpkg/");
+ xsystem ("mv $junkdir/install-tl/install-tl* .");
+ xsystem ("mv $junkdir/install-tl/tlpkg/* tlpkg/");
xsystem ("rm -rf $junkdir");
-
- # if we made this far, we don't need to preserve the previous version.
- xsystem ("rm -rf $savedir");
}
@@ -252,6 +244,7 @@ sub xchdir
sub xsystem
{
my (@args) = @_;
+ print "$0: running system(@args)\n";
my $retval = system (@args);
if ($retval != 0) {
$retval /= 256;